#
# spec file for package vkmark
#
# Copyright (c) 2019 SUSE LLC
# Copyright (c) 2018-2019 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           vkmark
Version:        2017.08+git.20191115
Release:        lp152.1.4
Summary:        Vulkan benchmark utility
License:        LGPL-2.1-or-later
URL:            https://github.com/vkmark/vkmark
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  glm-devel
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(assimp)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-icccm)
ExcludeArch:    %{arm} %{ix86}
%ifarch %{x86_64}
BuildRequires:  Mesa-libVulkan-devel
%endif

%description
An extensible Vulkan benchmarking suite with targeted, configurable scenes.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/vkmark
%{_libdir}/vkmark/
%{_mandir}/man1/vkmark.1%{?ext_man}
%{_datadir}/vkmark/

%changelog
* Thu Dec 19 2019 Martin Pluskal <mpluskal@suse.com>
- Update dependencies (add Mesa-libVulkan-devel)
* Sun Nov 24 2019 malcolmlewis@opensuse.org
- Update to version 2017.08+git.20191115:
  * ci: Add build and test github workflow.
  * Fix build against glm-0.9.9.6.
  * build: Specify meson version as 0.45.
  * kms: Check the result of the vkCreateDmaBufImageINTEL call.
  * kms: Add kms-atomic window system option.
  * kms: Add atomic modesetting support.
  * kms: Simplify creation of ManagedResource objects.
  * scenes: Use vkutil::map_memory.
  * vkutil: Add map_memory helper function.
  * scenes: Use vkutil::SemaphoreBuilder.
- Drop vkmark-skip-glm-dep-check.patch as this has been upstreamed.
* Tue Nov  5 2019 Martin Pluskal <mpluskal@suse.com>
- Do not try to build on 32 bit architectures
* Wed Nov 14 2018 Martin Pluskal <mpluskal@suse.com>
- Small packaging cleanups
* Tue Nov 13 2018 malcolmlewis@opensuse.org
- Initial build at version 2017.08 up to commit
  1ebd493 (2018-05-30).
- Add vkmark-skip-glm-dep-check.patch: No glm-devel pc file
  present in development package, so check fails.
